# Remote-Mouse
Remote Mouse is a flask + pyautogui app to control a PC from your phone or any other device.

# Fixes
* Added delete button.
* Disabled touch zoom-in.

# Notes
* Need python 2+
* Make sure to change the port in the start script as needed. Have fun!
* For Linux you will need to do sudo -i before running the script.

# Setup

##### Arch/Manjaro
```sudo pacman -S base-devel tk scrot```

##### Ubuntu/Debian
```sudo apt-get install scrot python3-tk python3-dev```



*** Change directory to Remote-Mouse/ or rename the folder before doing so.

``` python3 -m venv venv/ ```

Linux/Mac
``` source bin/activate ```

Windows
``` source venv/bin/Scripts/activate ```

Linux/Mac
``` pip install -r linux-requirements.txt ```

Windows
``` pip install -r windows-requirements.txt ```


``` cd src/ ```


Linux/Mac
``` ./linux-start.sh ```

Windows
``` ./windows-start.sh ```

# Images
![1 Interface.... ](images/pic1.png)

# TODO
